View Issue Details

IDProjectCategoryView StatusLast Update
0033228Open CASCADEOCCT:Data Exchangepublic2023-01-13 04:46
Reporterdpasukhi Assigned Todpasukhi  
PrioritynormalSeverityminor 
Status verifiedResolutionfixed 
Target Version7.7.1 
Summary0033228: Data Exchange, DE Wrapper - Make the document argument of the method Read const handle
DescriptionFor greater compatibility, it is necessary to rewrite the read argument in a constant form.
The reason for using the non-constant form is the peculiarities of some readers.
Therefore, it is necessary to rewrite the arguments for the readers themselves.
Steps To ReproduceNot possible
TagsNo tags attached.
Test case number

Activities

git

2022-11-29 12:39

administrator   ~0112380

Branch CR33228 has been created by dpasukhi.

SHA-1: 4eb108271b436997cc592800f951b39bc7acee63


Detailed log of new commits:

Author: dpasukhi
Date: Tue Nov 29 09:36:58 2022 +0000

    0033228: Data Exchange, DE Wrapper - Make the document argument of the method Read const handle
    
    Rewrite document argument for DE_Wrapper Read method

dpasukhi

2022-11-29 13:03

developer   ~0112383

Dear msv,
please review CR33228.

The problem on the DE_Wrapper class only. Providers have not this problem.

Build is OK, see:
http://jenkins-test-10.nnov.opencascade.com/view/CR33228-master-dpasukhi/view/OCCT%20compile/
http://jenkins-test-10.nnov.opencascade.com/view/CR33228-master-dpasukhi/view/PRODUCTS%20compile/

msv

2022-11-29 14:24

developer   ~0112391

To integrate:
occt - CR33228

git

2022-12-11 22:37

administrator   ~0112580

Branch CR33228 has been deleted by mnt.

SHA-1: 4eb108271b436997cc592800f951b39bc7acee63

Related Changesets

occt: master 62f554bc

2022-11-29 12:36:58

dpasukhi


Committer: smoskvin Details Diff
0033228: Data Exchange, DE Wrapper - Make the document argument of the method Read const handle

Rewrite document argument for DE_Wrapper Read method
Affected Issues
0033228
mod - src/DE/DE_Wrapper.cxx Diff File
mod - src/DE/DE_Wrapper.hxx Diff File

Issue History

Date Modified Username Field Change
2022-11-29 12:22 dpasukhi New Issue
2022-11-29 12:22 dpasukhi Assigned To => dpasukhi
2022-11-29 12:31 msv Summary Data Exchange, DE Wrapper - Moving to const handle to the document => Data Exchange, DE Wrapper - Make the document argument of the method Read const handle
2022-11-29 12:39 git Note Added: 0112380
2022-11-29 13:03 dpasukhi Assigned To dpasukhi => msv
2022-11-29 13:03 dpasukhi Status new => resolved
2022-11-29 13:03 dpasukhi Steps to Reproduce Updated
2022-11-29 13:03 dpasukhi Note Added: 0112383
2022-11-29 14:24 msv Assigned To msv => bugmaster
2022-11-29 14:24 msv Status resolved => reviewed
2022-11-29 14:24 msv Note Added: 0112391
2022-12-05 00:22 smoskvin Status reviewed => tested
2022-12-05 00:25 smoskvin Changeset attached => occt master 62f554bc
2022-12-05 00:25 dpasukhi Assigned To bugmaster => dpasukhi
2022-12-05 00:25 dpasukhi Status tested => verified
2022-12-05 00:25 dpasukhi Resolution open => fixed
2022-12-11 22:37 git Note Added: 0112580
2023-01-13 04:46 vglukhik Project Internal => Open CASCADE